# 32/64 bit spec
#
Summary:	Timer plugin for the Xfce panel
Summary(de):	Zeitmessererweiterung für das Xfce-Panel
Name:		xfce4-timer-plugin
Version:	1.6.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-timer-plugin
Source0:	http://goodies.xfce.org/releases/xfce4-timer-plugin/%{name}-%{version}.tar.xz
Requires:	xfce4-panel >= 4.4.2
Requires:       glibc >= 2.20
Requires:       libstdc++6 >= 4.4.1
BuildRequires:	xfce4-panel-devel >= 4.4.2
BuildRequires:	perl(XML::Parser)
BuildRequires:	gettext-devel
BuildRequires:	libxfce4util-devel
BuildRequires:	libxfce4ui-devel
Obsoletes:	xfce-timer-plugin
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%define __libtoolize    /bin/true


%description
Timer panel plugin for the Xfce Desktop Environment.

%description -l de
Zeitmessererweiterung für die Xfce Desktop-Umgebung

%prep
%setup -q

%build
./autogen.sh --libdir=%{_libdir} --prefix=/usr --sysconfdir=%{_sysconfdir}

%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf  %{buildroot}%{_prefix}/doc

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog AUTHORS TODO README
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/locale/*
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 1.6.0-2pclos2015
- rebuild against new libxfce4util7

* Wed Jun 18 2014 ghostbunny <ghostbunny at gmx dot de> 1.6.0-1pclos2014
- 1.6.0
- drop BR libxfcegui4-devel and add libxfce4util-devel

* Sat May 11 2013 ghostbunny <ghostbunny at gmx dot de> 1.5.0-1pclos2013
- 1.5.0

* Sat May 04 2013 ghostbunny <ghostbunny at gmx dot de> 1.0.2-1pclos2013
- 1.0.2

* Mon Oct 15 2012 ghostbunny <ghostbunny at gmx dot de> 1.0.0-4pclos2012
- 1.0.0
- added BuildRequires:	gettext-devel

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 0.6.4-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.6.4-1pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 0.6.4-1pclos2012
- 0.6.4
- added german summary and description

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.6.2-1pclos2012
- update

* Thu Oct 08 2009 Neal <nealbrks0@gmail.com> 
- gcc update

* Mon Apr 06 2009 pcserver <pcserver@hushmail.com> 
- create
